Subject: bug#39398: 26.3; `python-shell-buffer-substring` does not respect region

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 20:30:28 +0100

Gaby Launay <[email-masked]> writes:

> `python-shell-send-region` uses `python-shell-buffer-substring` to
> determine which part of the buffer to send to the python interpreter. At
> the moment, it does not respect the position of the beginning of the
> region but instead use the beginning of the line. This is great to avoid
> sending invalid pieces of lines, but does not allow to evaluate portion
> of lines.

Yes, that seems rather odd -- as far as I can see, the command is not
documented to behave in this way, but says it's sending the region.

So I've changed it as you suggested, and I guess we'll see whether
there's any protests.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no